body {
    display:flex;
    flex-wrap: wrap;
}
body nav{
    flex-basis: 100%;
}
body header {
    flex-basis: 100%;
}
body main {
    flex-basis: 70%;
}

body aside{
    flex-basis: 30%;
}
body footer{
    flex-basis: 100%;
}
nav ul , footer ul{
    display: flex;
    flex-wrap: nowrap;
}

nav li, footer li{
    flex-basis: 20%;
}

main img{
    float: right;
}

main article article {
    display: flex;
    flex-wrap: nowrap;
}

main article article p {
    flex-basis: 30%;
}

